org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.InRestrictionWithMarker

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction
    - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.InRestrictionWithMarker

All Implemented Interfaces:
  Restriction, SingleRestriction

Enclosing class:
  SingleColumnRestriction

    public static class SingleColumnRestriction.InRestrictionWithMarker
    extends SingleColumnRestriction.INRestriction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

### Field Summary

Fields
`protected AbstractMarker` `marker`

### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`columnDef`

### Constructor Summary

Constructors
Constructor and Description
`InRestrictionWithMarker(ColumnDefinition columnDef, AbstractMarker marker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFunctionsTo(java.util.List<Function> functions)` Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
`protected java.util.List<java.nio.ByteBuffer>` `getValues(QueryOptions options)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction

`addRowFilterTo, appendTo, doMergeWith, isIN, isSupportedBy`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

`appendBoundTo, hasBound, isContains, isEQ, isInclusive, isLIKE, isMultiColumn, isNotNull, isSlice`

### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

`isOnToken`

### Field Detail

#### marker

    protected final AbstractMarker marker

### Constructor Detail

#### InRestrictionWithMarker

    public InRestrictionWithMarker(ColumnDefinition columnDef,
                                   AbstractMarker marker)

### Method Detail

#### addFunctionsTo

    public void addFunctionsTo(java.util.List<Function> functions)

Description copied from interface: `Restriction`
Adds all functions (native and user-defined) used by any component of the restriction to the specified list.

Parameters:
  `functions` - the list to add to

#### getValues

    protected java.util.List<java.nio.ByteBuffer> getValues(QueryOptions options)

Specified by:
  `getValues` in class `SingleColumnRestriction.INRestriction`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`